Get MCP Integration
curl --request GET \
--url https://api.portkey.ai/v1/mcp-integrations/{mcpIntegrationId} \
--header 'x-portkey-api-key: <api-key>'import requests
url = "https://api.portkey.ai/v1/mcp-integrations/{mcpIntegrationId}"
headers = {"x-portkey-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-portkey-api-key': '<api-key>'}};
fetch('https://api.portkey.ai/v1/mcp-integrations/{mcpIntegrationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"owner_id": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"last_updated_at": "2023-11-07T05:31:56Z",
"configurations": {},
"global_workspace_access": {},
"workspace_id": "<string>",
"slug": "<string>",
"url": "<string>"
}Retrieve MCP Integration
GET
/
mcp-integrations
/
{mcpIntegrationId}
Get MCP Integration
Authorizations
Path Parameters
MCP Integration ID (UUID) or slug
Response
200 - application/json
OK
Workspace ID or slug (when workspace-scoped)
Available options:
oauth_auto, oauth_client_credentials, headers, none Available options:
http, sse, interactive Available options:
workspace, organisation Last modified on May 13, 2026
Was this page helpful?
⌘I

